Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Build.VS2019BuildTest Class Referencesealed
Inheritance diagram for Zwipe.Test.Tools.Tests.Build.VS2019BuildTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Build.VS2019BuildTest:
[legend]

## Public Member Functions
| VS2019BuildTest ()
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)

## Additional Inherited Members
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest
| BaseVsBuildTest (string testName, string buildFileExtension, VisualStudio.SlnType slnType, Version maxVersion, string[] specialExtension)
override JobQueue | GetJobs ()
override bool | BuildJob (Job job)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest
| BaseMsBuildBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
bool | BuildMsBuild (string msbuild, MsBuildJob job)
bool | BuildMsBuild (string msbuild, MsBuildJob job, string additionalParameters)
string | BuildMsBuild (string msbuild, string fileName, string configuration)
string | BuildMsBuild (string msbuild, string fileName, string configuration, string additionalParameters)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
| BaseBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
virtual string | ParseLog (string fileName, IEnumerable< string > lines, out string warnings)
virtual bool | CheckSkipWarning (string fileName, string line)
bool | BuildJob (Job job)
override void | Execute ()
void | AddWarning (string name, string message)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()
Properties inherited from Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest
VisualStudio.SlnType | SlnType`[get]`
Version | MaxVersion`[get]`
string[] | SpecialExtensions`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
string | BuildFileExtension`[get]`
bool | PreserveWarnings`[get]`
bool | MultiThreadBuild`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Constructor & Destructor Documentation

## ◆ VS2019BuildTest()

Zwipe.Test.Tools.Tests.Build.VS2019BuildTest.VS2019BuildTest | ( |  | ) |

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Build/VS2019BuildTest.cs